## Value

# Trait Value

Source

    pub trait Value<Tcx: DepContext>: Sized {
        // Required method
        fn from_cycle_error(
            tcx: Tcx,
            cycle_error: &CycleError,
            guar: ErrorGuaranteed,
        ) -> Self;
    }

## Required Methods§

Source

#### fn from_cycle_error( tcx: Tcx, cycle_error: &CycleError, guar: ErrorGuaranteed, ) -> Self

## Dyn Compatibility§

This trait is not dyn compatible.

In older versions of Rust, dyn compatibility was called "object safety", so this trait is not object safe.

## Implementors§

Source§

### impl<Tcx: DepContext, T> Value<Tcx> for T